RTEMS: Real-Time Clock Driver Interface

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
Real-Time Clock Driver Interface
Device Drivers

## Macros
#define | RTC_DEVICE_NAME "/dev/rtc"
#define | RTC_DRIVER_TABLE_ENTRY

## Functions
rtems_device_driver | rtc_initialize (rtems_device_major_number, rtems_device_minor_number, void *)
rtems_device_driver | rtc_open (rtems_device_major_number, rtems_device_minor_number, void *)
rtems_device_driver | rtc_close (rtems_device_major_number, rtems_device_minor_number, void *)
rtems_device_driver | rtc_read (rtems_device_major_number, rtems_device_minor_number, void *)
rtems_device_driver | rtc_write (rtems_device_major_number, rtems_device_minor_number, void *)
rtems_device_driver | rtc_control (rtems_device_major_number, rtems_device_minor_number, void *)

## Detailed Description

This driver interface provides support to read and set the real-time clock and to initialize the time of day for the system.

## Macro Definition Documentation

## ◆ RTC_DEVICE_NAME

#define RTC_DEVICE_NAME "/dev/rtc"

Device file name path.

## ◆ RTC_DRIVER_TABLE_ENTRY

#define RTC_DRIVER_TABLE_ENTRY

Value:
{ rtc_initialize, rtc_open, rtc_close, \
rtc_read, rtc_write, rtc_control }
rtc_control
rtems_device_driver rtc_control(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:251
rtc_write
rtems_device_driver rtc_write(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:206
rtc_initialize
rtems_device_driver rtc_initialize(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:160
rtc_read
rtems_device_driver rtc_read(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:183
rtc_close
rtems_device_driver rtc_close(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:242
rtc_open
rtems_device_driver rtc_open(rtems_device_major_number, rtems_device_minor_number, void *)
Definition: rtc.c:233

Device driver table entry.

## Function Documentation

## ◆ rtc_close()

rtems_device_driver rtc_close | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Closes the real-time clock device.

## ◆ rtc_control()

rtems_device_driver rtc_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Controls the real-time clock.

## ◆ rtc_initialize()

rtems_device_driver rtc_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor_arg,
|  | void * | arg
| ) |  |

Initializes the real-time clock device and sets the time of day for the system.

If the real-time clock provides an invalid time of day value the system time of day must remain untouched.

## ◆ rtc_open()

rtems_device_driver rtc_open | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Opens the real-time clock device.

## ◆ rtc_read()

rtems_device_driver rtc_read | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Reads the real-time clock value.

The value will be returned in a rtems_time_of_day structure.

## ◆ rtc_write()

rtems_device_driver rtc_write | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Sets the real-time clock value.

The value will be set from a rtems_time_of_day structure.